#
# spec file for package rubygem-rspec-core
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-rspec-core
Version:        3.13.0
Release:        1.1
%define mod_name rspec-core
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{ruby >= 1.8.7}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{rubygem rdoc > 3.10}
BuildRequires:  ruby-macros >= 5
BuildRequires:  update-alternatives
URL:            https://github.com/rspec/rspec-core
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        RSpec runner and formatters
License:        MIT
Group:          Development/Languages/Ruby
PreReq:         update-alternatives

%description
BDD for Ruby. RSpec runner and example groups.

%prep

%build

%install
%gem_install \
  --symlink-binaries \
  --doc-files="Changelog.md LICENSE.md README.md" \
  -f

%gem_packages

%changelog
* Fri Apr 19 2024 Andreas Schneider <asn@cryptomilk.org>
- Update to version 3.13.3
  See bundled Changelog.md
* Tue Nov 14 2023 Dan Čermák <dan.cermak@posteo.net>
- New upstream release 3.12.2, see bundled Changelog.md
* Fri Oct 28 2022 Stephan Kulow <coolo@suse.com>
  updated to version 3.12.0
  see installed Changelog.md
* Tue Feb 15 2022 Stephan Kulow <coolo@suse.com>
  updated to version 3.11.0
  see installed Changelog.md
  [#]## Development
  [Full Changelog](http://github.com/rspec/rspec-core/compare/v3.11.0...3-11-maintenance)
  [#]## 3.11.0 / 2022-02-09
  [Full Changelog](http://github.com/rspec/rspec-core/compare/v3.10.2...v3.11.0)
  Enhancements:
  * Improve pluralisation of words ending with `s` (like process). (Joshua Pinter, #2779)
  * Add ordering by file modification time (most recent first). (Matheus Richard, #2778)
  * Add `to_s` to reserved names for #let and #subject. (Nick Flückiger, #2886)
  * Introduce `RSpec.current_scope` to expose the current scope in which
    RSpec is executing. e.g. `:before_example_hook`, `:example` etc. (@odinhb, #2895)
  * Add named bold colours as options for custom colours. (#2913, #2914)
  * Warn when (but not prevent) a `SystemExit` occurs. (Jared Beck, #2926)
  [#]## 3.10.2 / 2022-01-27
  [Full Changelog](http://github.com/rspec/rspec-core/compare/v3.10.1...v3.10.2)
  Bug fixes:
  * Ensure bisect communication uses consistent encoding. (Mike Jarema, #2852)
  * Fix exception presenter when the root cause exception has nil backtrace.
    (Zinovyev Ivan, #2903)
  * Fix `inspect` output of `RSpec::Core::Example::Procsy` to namespace correctly.
    (Keiko Kaneko, #2915)
  * Ensure formatters not exposing `#output` will not crash duplicate check.
    (@niceking, #2916)
* Wed Jan 20 2021 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 3.10.1
  [Full Changelog](http://github.com/rspec/rspec-core/compare/v3.10.0...v3.10.1)
  Bug fixes:
  * RSpec warning output was missing deprecations from Ruby, these are now included.
    (Jon Rowe, #2811)
* Wed Nov 11 2020 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 3.10.0
  [Full Changelog](http://github.com/rspec/rspec-core/compare/v3.9.3...v3.10.0)
  Enhancements:
  * Memoize `RSpec::Core::Formatters::ExceptionPresenter#exception_lines` to improve performance
    with slow exception messages. (Maxime Lapointe, #2743)
  * Add configuration for an error exit code (to disambiguate errored builds from failed builds
    by exit status). (Dana Sherson, #2749)
* Thu May  7 2020 Stephan Kulow <coolo@suse.com>
- updated to version 3.9.2
  see installed Changelog.md
  [#]## 3.9.2 / 2020-05-02
  [Full Changelog](http://github.com/rspec/rspec-core/compare/v3.9.1...v3.9.2)
  Bug Fixes:
  * Emit a warning when `around` hook is used with `:context` scope
    (Phil Pirozhkov, #2687)
  * Prevent invalid implementations of `Exception#cause` from being treated as a
    valid cause (and causing strange errors) in `RSpec::Core::Formatters::ExceptionPresenter`.
    (Jon Rowe, #2703)
  * Correctly detect patterns when `rspec_opts` is an array in `RSpec::Core::RakeTask`.
    (Marc-André Lafortune, #2704)
  * Make `RSpec.clear_examples` reset example counts for example groups. This fixes
    an issue with re-running specs not matching ids. (Agis Anastasopoulos, #2723)
* Mon Jan 27 2020 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 3.9.1
  [#] Bug Fixes:
  * Prevent bisect command from blocking when number of specs exceeds
    file descriptor limit on OSX or Linux. (Benoit Tigeot, #2669)
  * Prevent warnings being issued on Ruby 2.7.0. (Jon Rowe, #2680)
* Tue Nov 12 2019 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 3.9.0
  [Full Changelog](http://github.com/rspec/rspec-core/compare/v3.8.2...v3.9.0)
  Enhancements:
  * Improve the handling of errors during loading support files, if a file
    errors before loading specs, RSpec will now skip loading the specs.
    (David Rodríguez, #2568)
  * Add support for --example-matches to run examples by regular expression.
    (Sam Joseph, Matt Rider, @okothkongo1, #2586)
  * Add `did_you_mean` suggestions for file names encountering a `LoadError`
    outside of examples. (@obromios, #2601)
  * Add a minimalist quick fix style formatter, only outputs failures as
    `file:line:message`. (Romain Tartière, #2614)
  * Convert string number values to integer when used for `RSpec::Configuration#fail_fast`
    (Viktor Fonic, #2634)
  * Issue warning when invalid values are used for `RSpec::Configuration#fail_fast`
    (Viktor Fonic, #2634)
  * Add support for running the Rake task in a clean environment.
    (Jon Rowe, #2632)
  * Indent messages by there example group / example in the documentation formatter.
    (Samuel Williams, #2649)
* Mon Jul  8 2019 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 3.8.2
  [Full Changelog](http://github.com/rspec/rspec-core/compare/v3.8.1...v3.8.2)
  Bug Fixes:
  * Fix `config.define_derived_metadata` so that cascades are not triggered
    until metadata has been assigned to the example or example group
    (Myron Marston, #2635).
  [#]## 3.8.1 / 2019-06-13
  [Full Changelog](http://github.com/rspec/rspec-core/compare/v3.8.0...v3.8.1)
  Bug Fixes:
  * Handle RSpec description(s) with japanese chars in CP932 encoded files.
    (Benoit Tigeot, #2575)
  * When defining `let` methods that overwrite an existing method, prevent
    a warning being issued by removing the old definition. (Jon Rowe, #2593)
  * Prevent warning on Ruby 2.6.0-rc1 (Keiji Yoshimi, #2582)
  * Fix `config.define_derived_metadata` so that it supports cascades.
    (Myron Marston, #2630).
* Sun Aug  5 2018 mschnitzer@suse.com
- updated to version 3.8.0
  [Full Changelog](http://github.com/rspec/rspec-core/compare/v3.7.1...v3.8.0)
  Enhancements:
  * Improve shell escaping used by `RSpec::Core::RakeTask` and `--bisect` so
  that it works on `Pathname` objects. (Andrew Vit, #2479)
  * Nicely format errors encountered while loading files specified
  by `--require` option.  (Myron Marston, #2504)
  * Significantly improve the performance of `--bisect` on platforms that
  support forking by replacing the shell-based runner with one that uses
  forking so that RSpec and the application environment can be booted only
  once, instead of once per spec run. (Myron Marston, #2511)
  * Provide a configuration API to pick which bisect runner is used for
  `--bisect`. Pick a runner via `config.bisect_runner = :shell` or
  `config.bisect_runner = :fork` in a file loaded by a `--require`
  option passed at the command line or set in `.rspec`. (Myron Marston, #2511)
  * Support the [XDG Base Directory
  Specification](https://specifications.freedesktop.org/basedir-spec/latest/)
  for the global options file. `~/.rspec` is still supported when no
  options file is found in `$XDG_CONFIG_HOME/rspec/options` (Magnus Bergmark, #2538)
  * Extract `RSpec.world.prepare_example_filtering` that sets up the
  example filtering for custom RSpec runners. (Oleg Pudeyev, #2552)
  Bug Fixes:
  * Prevent an `ArgumentError` when truncating backtraces with two identical
  backtraces. (Systho, #2515, Benoit Tigeot, #2539)
* Tue Jan  9 2018 coolo@suse.com
- updated to version 3.7.1
  see installed Changelog.md
* Thu Oct 26 2017 coolo@suse.com
- updated to version 3.7.0
  see installed Changelog.md
  [#]## Development
  [Full Changelog](http://github.com/rspec/rspec-core/compare/v3.7.0...master)
  [#]## 3.7.0 / 2017-10-17
  [Full Changelog](http://github.com/rspec/rspec-core/compare/v3.6.0...v3.7.0)
  Enhancements:
  * Add `-n` alias for `--next-failure`. (Ian Ker-Seymer, #2434)
  * Improve compatibility with `--enable-frozen-string-literal` option
    on Ruby 2.3+. (Pat Allan, #2425, #2427, #2437)
  * Do not run `:context` hooks for example groups that have been skipped.
    (Devon Estes, #2442)
  * Add `errors_outside_of_examples_count` to the JSON formatter.
    (Takeshi Arabiki, #2448)
  Bug Fixes:
  * Improve compatibility with frozen string literal flag. (#2425, Pat Allan)
* Tue May 23 2017 coolo@suse.com
- updated to version 3.6.0
  see installed Changelog.md
  [#]## 3.6.0 / 2017-05-04
  [Full Changelog](http://github.com/rspec/rspec-core/compare/v3.6.0.beta2...v3.6.0)
  Enhancements:
  * Add seed information to JSON formatter output. (#2388, Mitsutaka Mimura)
  * Include example id in the JSON formatter output. (#2369, Xavier Shay)
  * Respect changes to `config.output_stream` after formatters have been
    setup. (#2401, #2419, Ilya Lavrov)
  Bug Fixes:
  * Delay formatter loading until the last minute to allow accessing the reporter
    without triggering formatter setup. (Jon Rowe, #2243)
  * Ensure context hook failures running before an example can access the
    reporter. (Jon Jensen, #2387)
  * Multiple fixes to allow using the runner multiple times within the same
    process: `RSpec.clear_examples` resets the formatter and no longer clears
    shared examples, and streams can be used across multiple runs rather than
    being closed after the first. (#2368, Xavier Shay)
  * Prevent unexpected `example_group_finished` notifications causing an error.
    (#2396, VTJamie)
  * Fix bugs where `config.when_first_matching_example_defined` hooks would fire
    multiple times in some cases. (Yuji Nakayama, #2400)
  * Default `last_run_status` to "unknown" when the `status` field in the
    persistence file contains an unrecognized value. (#2360, matrinox)
  * Prevent `let` from defining an `initialize` method. (#2414, Jon Rowe)
  [#]## 3.6.0.beta2 / 2016-12-12
  [Full Changelog](http://github.com/rspec/rspec-core/compare/v3.6.0.beta1...v3.6.0.beta2)
  Enhancements:
  * Include count of errors occurring outside examples in default summaries.
    (#2351, Jon Rowe)
  * Warn when including shared example groups recursively. (#2356, Jon Rowe)
  * Improve failure snippet syntax highlighting with CodeRay to highlight
    RSpec "keywords" like `expect`. (#2358, Myron Marston)
  [#]## 3.6.0.beta1 / 2016-10-09
  [Full Changelog](http://github.com/rspec/rspec-core/compare/v3.5.4...v3.6.0.beta1)
  Enhancements:
  * Warn when duplicate shared examples definitions are loaded due to being
    defined in files matching the spec pattern (e.g. `_spec.rb`) (#2278, Devon Estes)
  * Improve metadata filtering so that it can match against any object
    that implements `===` instead of treating regular expressions as
    special. (Myron Marston, #2294)
  * Improve `rspec -v` so that it prints out the versions of each part of
    RSpec to prevent confusion. (Myron Marston, #2304)
  * Add `config.fail_if_no_examples` option which causes RSpec to fail if
    no examples are found. (Ewa Czechowska, #2302)
  * Nicely format errors encountered while loading spec files.
    (Myron Marston, #2323)
  * Improve the API for enabling and disabling color output (Josh
    Justice, #2321):
  * Automatically enable color if the output is a TTY, since color is
    nearly always desirable if the output can handle it.
  * Introduce new CLI flag to force color on (`--force-color`), even
    if the output is not a TTY. `--no-color` continues to work as well.
  * Introduce `config.color_mode` for configuring the color from Ruby.
    `:automatic` is the default and will produce color if the output is
    a TTY. `:on` forces it on and `:off` forces it off.
* Sun Oct  2 2016 coolo@suse.com
- updated to version 3.5.4
  see installed Changelog.md
  [#]## 3.5.4 / 2016-09-30
  [Full Changelog](http://github.com/rspec/rspec-core/compare/v3.5.3...v3.5.4)
  Bug Fixes:
  * Remove accumulated `ExampleGroup` constants when reseting RSpec,
    preventing a memory leak. (TravisSpangle, #2328)
* Sat Sep  3 2016 coolo@suse.com
- updated to version 3.5.3
  see installed Changelog.md
  [#]## 3.5.3 / 2016-09-02
  [Full Changelog](http://github.com/rspec/rspec-core/compare/v3.5.2...v3.5.3)
  Bug Fixes:
  * When applying shared group metadata to a host group, overwrite
    conflicting keys if the value in the host group was inherited from
    a parent group instead of being specified at that level.
    (Myron Marston, #2307)
  * Handle errors in `:suite` hooks and provide the same nicely formatted
    output as errors that happen in examples. (Myron Marston, #2316)
  * Set the exit status to non-zero when an error occurs in an
    `after(:context)` hook. (Myron Marston, #2320)
* Sat Jul 30 2016 coolo@suse.com
- updated to version 3.5.2
  see installed Changelog.md
  [#]## 3.5.2 / 2016-07-28
  [Full Changelog](http://github.com/rspec/rspec-core/compare/v3.5.1...v3.5.2)
  Bug Fixes:
  * Wait to report `example_finished` until the example's `execution_result`
    has been completely filled in. (Myron Marston, #2291)
  * Make sure example block is still available when using `duplicate_with`
    to clone examples. (bootstraponline, #2298)
  * Don't include the default `--pattern` in the Rake task when
    `rspec_opts` specifies its own. (Jon Rowe, #2305)
* Fri Jul  8 2016 coolo@suse.com
- updated to version 3.5.1
  see installed Changelog.md
  [#]## 3.5.1 / 2016-07-06
  [Full Changelog](http://github.com/rspec/rspec-core/compare/v3.5.0...v3.5.1)
  Bug Fixes:
  * Ensure that config hooks that are added to existing example groups are
    added only once. (Eugene Kenny, #2280)
* Sat Jul  2 2016 coolo@suse.com
- updated to version 3.5.0
  see installed Changelog.md
* Thu Mar 10 2016 coolo@suse.com
- updated to version 3.4.4
  see installed Changelog.md
* Fri Feb 19 2016 coolo@suse.com
- updated to version 3.4.3
  see installed Changelog.md
  [#]## Development
  [Full Changelog](http://github.com/rspec/rspec-core/compare/v3.4.3...3-4-maintenance)
  [#]## 3.4.3 / 2016-02-19
  [Full Changelog](http://github.com/rspec/rspec-core/compare/v3.4.2...3.4.3)
  Bug Fixes:
  * Prevent a `TypeError` from occuring when running via the rake task when
    Ruby crashes. (Patrik Wenger, #2161)
  * Only consider example and group declaration lines from a specific file
    when applying line number filtering, instead of considering all
    declaration lines from all spec files. (Myron Marston, #2170)
  * Fix failure snippet extraction so that snippets that contain `do-end` style
    block and end with `end`-only line can be extracted properly.
    (Yuji Nakayama, #2173)
* Wed Jan 27 2016 coolo@suse.com
- updated to version 3.4.2
  see installed Changelog.md
  [#]## 3.4.2 / 2016-01-26
  [Full Changelog](http://github.com/rspec/rspec-core/compare/v3.4.1...v3.4.2)
  Bug Fixes:
  * Fix `rspec --profile` when an example calls `abort` or `exit`.
    (Bradley Schaefer, #2144)
  * Fix `--drb` so that when no DRb server is running, it prevents
    the DRb connection error from being listed as the cause of all
    expectation failures. (Myron Marston, #2156)
  * Fix syntax highlighter so that it works when the `coderay` gem is
    installed as a rubygem but not already available on your load path
    (as happens when you use bundler). (Myron Marston, #2159)
* Mon Nov 23 2015 coolo@suse.com
- updated to version 3.4.1
  see installed Changelog.md
  [#]## 3.4.1 / 2015-11-18
  [Full Changelog](http://github.com/rspec/rspec-core/compare/v3.4.0...v3.4.1)
  Bug Fixes:
  * Fix backtrace formatter to handle backtraces that are `nil`.
    (Myron Marston, #2118)
* Fri Nov 13 2015 coolo@suse.com
- updated to version 3.4.0
  see installed Changelog.md
  [#]## 3.4.0 / 2015-11-11
  [Full Changelog](http://github.com/rspec/rspec-core/compare/v3.3.2...v3.4.0)
  Enhancements:
  * Combine multiple `--pattern` arguments making them equivalent to
    `--pattern=1,2,...,n`. (Jon Rowe, #2002)
  * Improve `inspect` and `to_s` output for `RSpec::Core::Example`
    objects, replacing Ruby's excessively verbose output. (Gavin Miller, #1922)
  * Add `silence_filter_announcements` configuration option.
    (David Raffensperger, #2007)
  * Add optional `example_finished` notification to the reporter protocol for
    when you don't care about the example outcome. (Jon Rowe, #2013)
  * Switch `--bisect` to a recursion-based bisection algorithm rather than
    a permutation-based one. This better handles cases where an example
    depends upon multiple other examples instead of just one and minimizes
    the number of runs necessary to determine that an example set cannot be
    minimized further. (Simon Coffey, #1997)
  * Allow simple filters (e.g. `:symbol` key only) to be triggered by truthey
    values. (Tim Mertens, #2035)
  * Remove unneeded warning about need for `ansicon` on Windows when using
    RSpec's `--color` option. (Ashley Engelund, #2038)
  * Add option to configure RSpec to raise errors when issuing warnings.
    (Jon Rowe, #2052)
  * Append the root `cause` of a failure or error to the printed failure
    output when a `cause` is available. (Adam Magan)
  * Stop rescuing `NoMemoryError`, `SignalExcepetion`, `Interrupt` and
    `SystemExit`. It is dangerous to interfere with these. (Myron Marston, #2063)
  * Add `config.project_source_dirs` setting which RSpec uses to determine
    if a backtrace line comes from your project source or from some
    external library. It defaults to `spec`, `lib` and `app` but can be
    configured differently. (Myron Marston, #2088)
  * Improve failure line detection so that it looks for the failure line
    in any project source directory instead of just in the spec file.
    In addition, if no backtrace lines can be found from a project source
    file, we fall back to displaying the source of the first backtrace
    line. This should virtually eliminate the "Unable to find matching
    line from backtrace" messages. (Myron Marston, #2088)
  * Add support for `:extra_failure_lines` example metadata that will
    be appended to the failure output. (bootstraponline, #2092).
  * Add `RSpec::Core::Example#duplicate_with` to produce new examples
    with cloned metadata. (bootstraponline, #2098)
  * Add `RSpec::Core::Configuration#on_example_group_definition` to register
    hooks to be invoked when example groups are created. (bootstraponline, #2094)
  * Add `add_example` and `remove_example` to `RSpec::Core::ExampleGroup` to
    allow  manipulating an example groups examples. (bootstraponline, #2095)
  * Display multiline failure source lines in failure output when Ripper is
    available (MRI >= 1.9.2, and JRuby >= 1.7.5 && < 9.0.0.0.rc1).
    (Yuji Nakayama, #2083)
  * Add `max_displayed_failure_line_count` configuration option
    (defaults to 10). (Yuji Nakayama, #2083)
  * Enhance `fail_fast` option so it can take a number (e.g. `--fail-fast=3`)
    to force the run to abort after the specified number of failures.
    (Jack Scotti, #2065)
  * Syntax highlight the failure snippets in text formatters when `color`
    is enabled and the `coderay` gem is installed on a POSIX system.
    (Myron Marston, #2109)
  Bug Fixes:
  * Lock `example_status_persistence_file` when reading from and writing
    to it to prevent race conditions when multiple processes try to use
    it. (Ben Woosley, #2029)
  * Fix regression in 3.3 that caused spec file names with square brackets in
    them (such as `1[]_spec.rb`) to not be loaded properly. (Myron Marston, #2041)
  * Fix output encoding issue caused by ASCII literal on 1.9.3 (Jon Rowe, #2072)
  * Fix requires in `rspec/core/rake_task.rb` to avoid double requires
    seen by some users. (Myron Marston, #2101)
* Thu Jul 16 2015 coolo@suse.com
- updated to version 3.3.2
  see installed Changelog.md
  [#]## 3.3.2 / 2015-07-15
  [Full Changelog](http://github.com/rspec/rspec-core/compare/v3.3.1...v3.3.2)
  Bug Fixes:
  * Fix formatters to handle exceptions for which `backtrace` returns `nil`.
    (Myron Marston, #2023)
  * Fix duplicate formatter detection so that it allows subclasses of formatters
    to be added. (Sebastián Tello, #2019)
* Fri Jun 19 2015 coolo@suse.com
- updated to version 3.3.1
  see installed Changelog.md
  [#]## 3.3.1 / 2015-06-18
  [Full Changelog](http://github.com/rspec/rspec-core/compare/v3.3.0...v3.3.1)
  Bug Fixes:
  * Correctly run `before(:suite)` (and friends) in the context of an example
    group instance, thus making the expected RSpec environment available.
    (Jon Rowe, #1986)
* Sat Jun 13 2015 coolo@suse.com
- updated to version 3.3.0
  see installed Changelog.md
  [#]## 3.3.0 / 2015-06-12
  [Full Changelog](http://github.com/rspec/rspec-core/compare/v3.2.3...v3.3.0)
  Enhancements:
  * Expose the reporter used to run examples via `RSpec::Core::Example#reporter`.
    (Jon Rowe, #1866)
  * Make `RSpec::Core::Reporter#message` a public supported API. (Jon Rowe, #1866)
  * Allow custom formatter events to be published via
    `RSpec::Core::Reporter#publish(event_name, hash_of_attributes)`. (Jon Rowe, #1869)
  * Remove dependency on the standard library `Set` and replace with `RSpec::Core::Set`.
    (Jon Rowe, #1870)
  * Assign a unique id to each example and group so that they can be
    uniquely identified, even for shared examples (and similar situations)
    where the location isn't unique. (Myron Marston, #1884)
  * Use the example id in the rerun command printed for failed examples
    when the location is not unique. (Myron Marston, #1884)
  * Add `config.example_status_persistence_file_path` option, which is
    used to persist the last run status of each example. (Myron Marston, #1888)
  * Add `:last_run_status` metadata to each example, which indicates what
    happened the last time an example ran. (Myron Marston, #1888)
  * Add `--only-failures` CLI option which filters to only the examples
    that failed the last time they ran. (Myron Marston, #1888)
  * Add `--next-failure` CLI option which allows you to repeatedly focus
    on just one of the currently failing examples, then move on to the
    next failure, etc. (Myron Marston, #1888)
  * Make `--order random` ordering stable, so that when you rerun a
    subset with a given seed, the examples will be order consistently
    relative to each other. (Myron Marston, #1908)
  * Set example group constant earlier so errors when evaluating the context
    include the example group name (Myron Marson, #1911)
  * Make `let` and `subject` threadsafe. (Josh Cheek, #1858)
  * Add version information into the JSON formatter. (Mark Swinson, #1883)
  * Add `--bisect` CLI option, which will repeatedly run your suite in
    order to isolate the failures to the smallest reproducible case.
    (Myron Marston, #1917)
  * For `config.include`, `config.extend` and `config.prepend`, apply the
    module to previously defined matching example groups. (Eugene Kenny, #1935)
  * When invalid options are parsed, notify users where they came from
    (e.g. `.rspec` or `~/.rspec` or `ENV['SPEC_OPTS']`) so they can
    easily find the source of the problem. (Myron Marston, #1940)
  * Add pending message contents to the json formatter output. (Jon Rowe, #1949)
  * Add shared group backtrace to the output displayed by the built-in
    formatters for pending examples that have been fixed. (Myron Marston, #1946)
  * Add support for `:aggregate_failures` metadata. Tag an example or
    group with this metadata and it'll use rspec-expectations'
    `aggregate_failures` feature to allow multiple failures in an example
    and list them all, rather than aborting on the first failure. (Myron
    Marston, #1946)
  * When no formatter implements #message add a fallback to prevent those
    messages being lost. (Jon Rowe, #1980)
  * Profiling examples now takes into account time spent in `before(:context)`
    hooks. (Denis Laliberté, Jon Rowe, #1971)
  * Improve failure output when an example has multiple exceptions, such
    as one from an `it` block and one from an `after` block. (Myron Marston, #1985)
  Bug Fixes:
  * Handle invalid UTF-8 strings within exception methods. (Benjamin Fleischer, #1760)
  * Fix Rake Task quoting of file names with quotes to work properly on
    Windows. (Myron Marston, #1887)
  * Fix `RSpec::Core::RakeTask#failure_message` so that it gets printed
    when the task failed. (Myron Marston, #1905)
  * Make `let` work properly when defined in a shared context that is applied
    to an individual example via metadata. (Myron Marston, #1912)
  * Ensure `rspec/autorun` respects configuration defaults. (Jon Rowe, #1933)
  * Prevent modules overriding example group defined methods when included,
    prepended or extended by config defined after an example group. (Eugene Kenny, #1935)
  * Fix regression which caused shared examples to be mistakenly run when specs
    where filtered to a particular location.  (Ben Axnick, #1963)
  * Fix time formatting logic so that it displays 70 seconds as "1 minute,
    10 seconds" rather than "1 minute, 1 second". (Paul Brennan, #1984)
  * Fix regression where the formatter loader would allow duplicate formatters.
    (Jon Rowe, #1990)
* Sat Apr 11 2015 coolo@suse.com
- updated to version 3.2.3
  Bug Fixes:
  * Fix how the DSL methods are defined so that RSpec is compatible with
  gems that define methods of the same name on `Kernel` (such as
  the `its-it` gem). (Alex Kwiatkowski, Ryan Ong, #1907)
  * Fix `before(:context) { skip }` so that it does not wrongly cause the
  spec suite to exit with a non-zero status when no examples failed.
  (Myron Marston, #1926)
* Fri Mar 20 2015 coolo@suse.com
- updated to version 3.2.2
  Bug Fixes:
  * Fix regression in 3.2.0 that allowed tag-filtered examples to
  run even if there was a location filter applied to the spec
  file that was intended to limit the file to other examples.
  (#1894, Myron Marston)
* Thu Feb 26 2015 coolo@suse.com
- updated to version 3.2.1
  Bug Fixes:
  * Notify start-of-run seed _before_ `start` notification rather than
  _after_ so that formatters like Fuubar work properly. (Samuel Esposito, #1882)
* Fri Feb  6 2015 coolo@suse.com
- updated to version 3.2.0
  Enhancements:
  * Improve the `inspect` output of example groups. (Mike Dalton, #1687)
  * When rake task fails, only output the command if `verbose` flag is
  set. (Ben Snape, #1704)
  * Add `RSpec.clear_examples` as a clear way to reset examples in between
  spec runs, whilst retaining user configuration.  (Alexey Fedorov, #1706)
  * Reduce string allocations when defining and running examples by 70%%
  and 50%% respectively. (Myron Marston, #1738)
  * Removed dependency on pathname from stdlib. (Sam Phippen, #1703)
  * Improve the message presented when a user hits Ctrl-C.
  (Alex Chaffee #1717, #1742)
  * Improve shared example group inclusion backtrace displayed
  in failed example output so that it works for all methods
  of including shared example groups and shows all inclusion
  locations. (Myron Marston, #1763)
  * Issue seed notification at start (as well as the end) of the reporter
  run. (Arlandis Word, #1761)
  * Improve the documentation of around hooks. (Jim Kingdon, #1772)
  * Support prepending of modules into example groups from config and allow
  filtering based on metadata. (Arlandis Word, #1806)
  * Emit warnings when `:suite` hooks are registered on an example group
  (where it has always been ignored) or are registered with metadata
  (which has always been ignored). (Myron Marston, #1805)
  * Provide a friendly error message when users call RSpec example group
  APIs (e.g. `context`, `describe`, `it`, `let`, `before`, etc) from
  within an example where those APIs are unavailable. (Myron Marston, #1819)
  * Provide a friendly error message when users call RSpec example
  APIs (e.g. `expect`, `double`, `stub_const`, etc) from
  within an example group where those APIs are unavailable.
  (Myron Marston, #1819)
  * Add new `RSpec::Core::Sandbox.sandboxed { }` API that facilitates
  testing RSpec with RSpec, allowing you to define example groups
  and example from within an example without affecting the global
  `RSpec.world` state. (Tyler Ball, 1808)
* Tue Jan 20 2015 dmueller@suse.com
- update to 3.1.7:
  * Rails 4.1 support
  [ too many changes to list here, see
    http://www.rubydoc.info/gems/rspec-core/file/Changelog.md ]
* Mon Oct 13 2014 coolo@suse.com
- adapt to new rubygem packaging
* Tue Mar 18 2014 coolo@suse.com
- updated to version 2.14.8
  Bug fixes:
  * Fix regression with the `TextMateFormatter` that prevented backtrace links
  from being clickable. (Stefan Daschek)
* Fri Nov  1 2013 coolo@suse.com
- updated to version 2.14.7
  Bug fixes:
  * Fix regression in 2.14.6 that broke the Fivemat formatter.
  It depended upon either
  `example.execution_result[:exception].pending_fixed?` (which
  was removed in 2.14.6 to fix an issue with frozen error objects)
  or `RSpec::Core::PendingExampleFixedError` (which was renamed
  to `RSpec::Core::Pending::PendingExampleFixedError` in 2.8.
  This fix makes a constant alias for the old error name.
  (Myron Marston)
* Sun Oct 20 2013 coolo@suse.com
- updated to version 2.14.6
  Bug fixes:
  * Format stringified numbers correctly when mathn library is loaded.
  (Jay Hayes)
  * Fix an issue that prevented the use of frozen error objects. (Lars Gierth)
* Mon Aug 26 2013 coolo@suse.com
- updated to version 2.14.5
  Bug fixes:
  * Fix a `NoMethodError` that was being raised when there were no shared
  examples or contexts declared and `RSpec.world.reset` is invoked.
  (thepoho, Jon Rowe, Myron Marston)
  * Fix a deprecation warning that was being incorrectly displayed when
  `shared_examples` are declared at top level in a `module` scope.
  (Jon Rowe)
  * Fix after(:all) hooks so consecutive (same context) scopes will run even if
  one raises an error. (Jon Rowe, Trejkaz)
  * JsonFormatter no longer dies if `dump_profile` isn't defined (Alex / @MasterLambaster, Jon Rowe)
* Tue Jul 30 2013 coolo@suse.com
- updated to version 2.14.4
  Bug fixes
  * Fix regression in 2.14: ensure configured requires (via `-r` option)
    are loaded before spec files are loaded. This allows the spec files
    to programatically change the file pattern (Jon Rowe).
  * Autoload `RSpec::Mocks` and `RSpec::Expectations` when referenced if
    they are not already loaded (`RSpec::Matches` has been autoloaded
    for a while). In the `rspec` gem, we changed it recently to stop
    loading `rspec/mocks` and `rspec/expectations` by default, as some
    users reported problems where they were intending to use mocha,
    not rspec-mocks, but rspec-mocks was loaded and causing a conflict.
    rspec-core loads mocks and expectations at the appropriate time, so
    it seemed like a safe change -- but caused a problem for some authors
    of libraries that integrate with RSpec. This fixes that problem.
    (Myron Marston)
  * Gracefully handle a command like `rspec --profile path/to/spec.rb`:
    the `path/to/spec.rb` arg was being wrongly treated as the `profile`
    integer arg, which got cast `0` using `to_i`, causing no profiled
    examples to be printed. (Jon Rowe)
  [#]## 2.14.3 / 2013-07-13
  [full changelog](http://github.com/rspec/rspec-core/compare/v2.14.2...v2.14.3)
  Bug fixes
  * Fix deprecation notices issued from `RSpec::Core::RakeTask` so
    that they work properly when all of rspec-core is not loaded.
    (This was a regression in 2.14) (Jon Rowe)
  [#]## 2.14.2 / 2013-07-09
  [full changelog](http://github.com/rspec/rspec-core/compare/v2.14.1...v2.14.2)
  Bug fixes
  * Fix regression caused by 2.14.1 release: formatters that
    report that they `respond_to?` a notification, but had
    no corresponding method would raise an error when registered.
    The new fix is to just implement `start` on the deprecation
    formatter to fix the original JRuby/ruby-debug issue.
    (Jon Rowe)
* Mon Mar 18 2013 coolo@suse.com
- updated to version 2.13.1
  [full changelog](http://github.com/rspec/rspec-core/compare/v2.13.0...v2.13.1)
  Bug fixes
  * Use hook classes as proxies rather than extending hook blocks to support
  lambdas for before/after/around hooks. (David Chelimsky)
  * Fix regression in 2.13.0 that caused confusing behavior when overriding
  a named subject with an unnamed subject in an inner group and then
  referencing the outer group subject's name. The fix for this required
  us to disallow using `super` in a named subject (which is confusing,
  anyway -- named subjects create 2 methods, so which method on the
  parent example group are you `super`ing to?) but `super` in an unnamed
  subject continues to work (Myron Marston).
  * Do not allow a referenced `let` or `subject` in `before(:all)` to cause
  other `let` declarations to leak across examples (Myron Marston).
  * Work around odd ruby 1.9 bug with `String#match` that was triggered
  by passing it a regex from a `let` declaration. For more info, see
  http://bugs.ruby-lang.org/issues/8059 (Aaron Kromer).
  * Add missing `require 'set'` to `base_text_formatter.rb` (Tom
  Anderson).
  Deprecations
  * Deprecate accessing `let` or `subject` declarations in `before(:all)`.
  These were not intended to be called in a `before(:all)` hook, as
  they exist to define state that is reset between each example, while
  `before(:all)` exists to define state that is shared across examples
  in an example group (Myron Marston).
* Sun Mar  3 2013 coolo@suse.com
- updated to version 2.13.0
  Enhancements
  * Allow `--profile` option to take a count argument that
  determines the number of slow examples to dump
  (Greggory Rothmeier).
  * Add `subject!` that is the analog to `let!`. It defines an
  explicit subject and sets a `before` hook that will invoke
  the subject (Zubin Henner).
  * Fix `let` and `subject` declaration so that `super`
  and `return` can be used in them, just like in a normal
  method. (Myron Marston)
  * Allow output colors to be configured individually.
  (Charlie Maffitt)
  Bug fixes
  * Don't blow up when dumping error output for instances
  of anonymous error classes (Myron Marston).
  * Fix default backtrace filters so lines from projects
  containing "gems" in the name are not filtered, but
  lines from installed gems still are (Myron Marston).
  * Fix autotest command so that is uses double quotes
  rather than single quotes for windows compatibility
  (Jonas Tingeborn).
  * Fix `its` so that uses of `subject` in a `before` or `let`
  declaration in the parent group continue to reference the
  parent group's subject. (Olek Janiszewski)
* Tue Dec 18 2012 coolo@suse.com
- updated to version 2.12.2
  [full changelog](http://github.com/rspec/rspec-core/compare/v2.12.1...v2.12.2)
  Bug fixes
  * Fix `RSpec::Core::RakeTask` so that it is compatible with rake 0.8.7
  on ruby 1.8.7. We had accidentally broke it in the 2.12 release
  (Myron Marston).
  * Fix `RSpec::Core::RakeTask` so it is tolerant of the `Rspec` constant
  for backwards compatibility (Patrick Van Stee)
* Sun Dec  2 2012 coolo@suse.com
- updated to version 2.12.1
  [full changelog](http://github.com/rspec/rspec-core/compare/v2.12.0...v2.12.1)
  Bug fixes
  * Specs are run even if another at\_exit hook calls `exit`. This allows
  Test::Unit and RSpec to run together. (Suraj N. Kurapati)
  * Fix full doc string concatenation so that it handles the case of a
  method string (e.g. "#foo") being nested under a context string
  (e.g. "when it is tuesday"), so that we get "when it is tuesday #foo"
  rather than "when it is tuesday#foo". (Myron Marston)
  * Restore public API I unintentionally broke in 2.12.0:
  `RSpec::Core::Formatters::BaseFormatter#format_backtrce(backtrace, example)`
* Tue Nov 13 2012 coolo@suse.com
- updated to version 2.12.0
  Enhancements
  * Add support for custom ordering strategies for groups and examples.
  (Myron Marston)
  * JSON Formatter (Alex Chaffee)
  * Refactor rake task internals (Sam Phippen)
  * Refactor HtmlFormatter (Pete Hodgson)
  * Autotest supports a path to Ruby that contains spaces (dsisnero)
  * Provide a helpful warning when a shared example group is redefined.
  (Mark Burns).
  * `--default_path` can be specified as `--default-line`. `--line_number` can be
  specified as `--line-number`. Hyphens are more idiomatic command line argument
  separators (Sam Phippen).
  * A more useful error message is shown when an invalid command line option is
  used (Jordi Polo).
  * Add `format_docstrings { |str| }` config option. It can be used to
  apply formatting rules to example group and example docstrings.
  (Alex Tan)
  * Add support for an `.rspec-local` options file. This is intended to
  allow individual developers to set options in a git-ignored file that
  override the common project options in `.rspec`. (Sam Phippen)
  * Support for mocha 0.13.0. (Andy Lindeman)
  Bug fixes
  * Remove override of `ExampleGroup#ancestors`. This is a core ruby method that
  RSpec shouldn't override. Instead, define `ExampleGroup#parent_groups`. (Myron
  Marston)
  * Limit monkey patching of shared example/context declaration methods
  (`shared_examples_for`, etc.) to just the objects that need it rather than
  every object in the system (Myron Marston).
  * Fix Metadata#fetch to support computed values (Sam Goldman).
  * Named subject can now be referred to from within subject block in a nested
  group (tomykaira).
  * Fix `fail_fast` so that it properly exits when an error occurs in a
  `before(:all) hook` (Bradley Schaefer).
  * Make the order spec files are loaded consistent, regardless of the
  order of the files returned by the OS or the order passed at
  the command line (Jo Liss and Sam Phippen).
  * Ensure instance variables from `before(:all)` are always exposed
  from `after(:all)`, even if an error occurs in `before(:all)`
  (Sam Phippen).
  * `rspec --init` no longer generates an incorrect warning about `--configure`
  being deprecated (Sam Phippen).
  * Fix pluralization of `1 seconds` (Odin Dutton)
  * Fix ANSICON url (Jarmo Pertman)
  * Use dup of Time so reporting isn't clobbered by examples that modify Time
  without properly restoring it. (David Chelimsky)
  Deprecations
  * `share_as` is no longer needed. `shared_context` and/or
  `RSpec::SharedContext` provide better mechanisms (Sam Phippen).
  * Deprecate `RSpec.configuration` with a block (use `RSpec.configure`).
* Sun Jul 29 2012 coolo@suse.com
- initial package
